---
title: List Banks assigned to Virtual Account
description: This API will delete a particular bank account details of the merchant assigned to virtual account if we pass merchant id, bank id, virtual account no and UID correctly.
---

# VIRTUAL ACCOUNT - List Banks assigned to Virtual Account

One or more Banks can be assigned to a virtual account for accepting payments. This API will list all active banks assigned to a particular virtual account. We must pass merchant id, virtual account no and UID in request, then bank details like bank id, bank name, account no, ifsc code will be displayed of all the banks.

## POST

```
https://kraken.airpay.co.in/airpay/va/api/
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| Content-Type | String | application/x-www-form-urlencoded |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| action | String | Action to perform - banks (required) |
| private_key | Alphanumeric | Private Key (length 10-200) (required)<br>private_key = hash('sha256', secret.'@'.username.':|:'.password) |
| merchant_id | Numeric | Merchant Id (required) |
| virtual_account_number | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| UID | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| checksum | Alphanumeric | Hash generated by : sha1(virtual_account_number.UID.action.merchant_id.private_key) (required) |
## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=banks' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=fb162c92c0d247669890641d26aed72e2bd28a77'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| STATUS | Number | Status Code<br>Success - 200 Transaction is success<br>Transaction in Process - 211 Transaction in processing<br>Failed - 400 Transaction in failed<br>Dropped - 401 The transaction will not register properly<br>Cancel - 402 payment that has not yet been processed<br>Incomplete - 403 Not recieved any call back from bank<br>Bounced - 405 The transaction has bounced<br>No Records - 503 There is no records found<br>No records to display - 167 There is no records found |
| MESSAGE | String | Status Message<br>Success - 200 Transaction is success<br>Transaction in Process - 211 Transaction in processing<br>Failed - 400 Transaction in failed<br>Dropped - 401 The transaction will not register properly<br>Cancel - 402 payment that has not yet been processed<br>Incomplete - 403 Not recieved any call back from bank<br>Bounced - 405 The transaction has bounced<br>No Records - 503 There is no records found<br>No records to display - 167 There is no records found |
| records | Json | Data records, which contains<br>BANK_ID - Bank id<br>BANK_NAME - Bank name<br>ACCOUNT_NUMBER - Account number<br>IFSC_CODE - ifsc code<br>STATUS - status<br>Y - Yes<br>N - No<br>VERIFIED - Verified or not<br>Y - Yes<br>N - No<br>CREATED_ON - Created date<br>UPDATED_ON - Updated date |
## Success-Response:

```
HTTP/1.1 200 OK
     {
         "STATUS": "200",
         "MESSAGE": "Success",
         "RECORDS": [{
                         "BANK_ID": "8",
                         "BANK_NAME": "SC",
                         "ACCOUNT_NUMBER": "6546797546469",
                         "IFSC_CODE": "SC544646464",
                         "STATUS": "Y",
                         "VERIFIED": "N",
                         "CREATED_ON": "14-01-2019 12:03:56",
                         "UPDATED_ON": "14-01-2019 12:03:56"
                     }]
     }
```
## Failed-Response:
```
HTTP/1.1 200 OK
{
  "STATUS": "400",
  "MESSAGE": "Failed"
}
```